JpegFileTest Class Reference

`#include <JpegFileTest.h>`

Inheritance diagram for JpegFileTest:

## Public Member Functions

| JpegFileTest (TestSuite *s)
void | setup (void)
void | cleanup (void)
void | testReadEmbedExtract (void)
void | testReadEmbedWriteReadExtract (void)
void | testPosition (void)
void | testReadExtractCompare (void)
void | testEmbeddedValue (void)
Public Member Functions inherited from CvrStgFileTest
| CvrStgFileTest (std::string n, TestSuite *s)
Public Member Functions inherited from UnitTest
| UnitTest (std::string n, TestSuite *s)
| ~UnitTest (void)
void | run (void)
Public Member Functions inherited from Test
| Test (void)
| Test (const std::string &n)
| Test (const std::string &n, TestSuite *s)
virtual | ~Test (void)
const std::string & | getName (void)
TestSuite * | getSuite (void)

## Private Attributes

BitString * | bs1
BitString * | bs2
CvrStgFile * | f1
CvrStgFile * | f2
Globals | gl1
Globals | gl2

## Additional Inherited Members

Protected Member Functions inherited from CvrStgFileTest
bool | genericTestReadWrite (const std::string &rfn, bool new_wfn=true) const
bool | genericTestReadEmbedExtract (const std::string &fn, BitString &emb) const
bool | genericTestReadExtractCompare (const std::string &fn, BitString &emb) const
bool | genericTestReadEmbedWriteReadExtract (const std::string &cvrfn, BitString &emb) const
bool | genericTestPosition (const CvrStgFile *f, const SamplePos pos, SampleValue *sv_r) const
bool | genericTestSVALCalculation (const CvrStgFile *f, const Graph *g) const
bool | genericTestEmbeddedValue (const CvrStgFile *f) const
Protected Member Functions inherited from UnitTest
void | addTestCategory (TestCategory *tc)
void | addTestResult (bool r)
char * | strip_test (char *s)

## Constructor & Destructor Documentation

## JpegFileTest()

JpegFileTest::JpegFileTest | ( | TestSuite * | s | ) |

## Member Function Documentation

## cleanup()

void JpegFileTest::cleanup | ( | void |  | ) |

virtual

cleanup the unit test - called after run

Reimplemented from UnitTest.

## setup()

void JpegFileTest::setup | ( | void |  | ) |

virtual

setup the unit test - called before run

UnitTest::setup will (together with UnitTest::cleanup) save and restore the object stored in Globs so they should be called from the corresponding functions in the derived object if the derived unit test manipulates the Globs object.

Reimplemented from UnitTest.

## testEmbeddedValue()

void JpegFileTest::testEmbeddedValue | ( | void |  | ) |

## testPosition()

void JpegFileTest::testPosition | ( | void |  | ) |

## testReadEmbedExtract()

void JpegFileTest::testReadEmbedExtract | ( | void |  | ) |

## testReadEmbedWriteReadExtract()

void JpegFileTest::testReadEmbedWriteReadExtract | ( | void |  | ) |

## testReadExtractCompare()

void JpegFileTest::testReadExtractCompare | ( | void |  | ) |

## Member Data Documentation

## bs1

BitString* JpegFileTest::bs1

private

## bs2

BitString * JpegFileTest::bs2

private

## f1

CvrStgFile* JpegFileTest::f1

private

## f2

CvrStgFile * JpegFileTest::f2

private

## gl1

Globals JpegFileTest::gl1

private

## gl2

Globals JpegFileTest::gl2

private

The documentation for this class was generated from the following files:

- JpegFileTest.h
- JpegFileTest.cc